package cn.com.poc.thirdparty.resource.demand.dgTools.result;

import cn.com.poc.thirdparty.resource.demand.dgTools.constants.ErrorCodeEnum;
import cn.com.yict.framemax.data.model.PagingInfo;

/**
 * @author Roger Wu
 */
public class DgtoolsApiResult {

    private String code;

    private String message;

    private Object data;

    private PagingInfo pagingInfo;

    public PagingInfo getPagingInfo() {
        return pagingInfo;
    }

    public void setPagingInfo(PagingInfo pagingInfo) {
        this.pagingInfo = pagingInfo;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public boolean isSuccess() {
        return ErrorCodeEnum.SUCCESS.getErrorCode().equals(code);
    }

}
